%bcond_without tests
%global         srcname        uamqp

Summary:        AMQP 1.0 client library for Python
Name:           python-%{srcname}
Version:        1.6.0
Release:        6%{?dist}
License:        MIT
URL:            https://github.com/Azure/azure-uamqp-python/
# tar from pypi.org build fail
Source0:        https://github.com/Azure/azure-uamqp-python/archive/refs/tags/v.1.60.tar.gz #/azure-uamqp-python-v.1.60.tar.gz
Patch3000:      python-uamqp-treat-warnings-as-warnings.patch
# https://github.com/Azure/azure-c-shared-utility/pull/577
Patch3001:      python-uamqp-openssl3.patch

BuildRequires:  cmake gcc-c++ openssl-devel
BuildRequires:  pyproject-rpm-macros python3-devel
BuildRequires:  python3-Cython python3dist(setuptools)

%if %{with tests}
BuildRequires:  python3dist(certifi) python3dist(six)
BuildRequires:  python3dist(pytest) python3dist(pytest-asyncio)
%endif

%description
An AMQP 1.0 client library for Python.


%package -n python3-%{srcname}
Summary:        AMQP 1.0 client library for Python

%description -n python3-%{srcname}
An AMQP 1.0 client library for Python.


%prep
%autosetup -n azure-uamqp-python-v.1.60 -p1

%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files uamqp


%if %{with tests}
%check
%pytest --disable-warnings -k "not test_error_loop_arg_async"
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc HISTORY.rst README.rst


%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0-6
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0-5
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Sep 04 2023 Wang Guodong <gordonwwang@tencent.com> - 1.6.0-4
- Update BuildRequires: Cython3

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 16 2023 rockerzhu <rockerzhu@tencent.com> - 1.6.0-1
- Initial build
